Name: libol
Version: 0.3.13
Release: alt2

Summary: libol is a nonblocking I/O and OO library
License: GPL
Group: System/Libraries
Url: http://www.balabit.hu/en/products/syslog-ng/
Packager: Stanislav Ievlev <inger@altlinux.org>

Source: http://www.balabit.com/downloads/%name/0.3/%name-%version.tar.bz2

%def_disable static

%description
libol is a nonblockin I/O and OO library.  It is needed to build syslog-ng,
the new generation syslog.

%package devel
Group: Development/C
License: GPL
Summary: Development environment for %name
Requires: %name = %version-%release

%description devel
This package contains development files required to build
%name-based software.

%package devel-static
Group: Development/C
License: GPL
Summary: Static %name library
Requires: %name-devel = %version-%release

%description devel-static
This package contains static library required to build
statically linked %name-based software.

%prep
%setup -q
%__subst 's|@srcdir@|%_usrsrc/%name-%version|g' %name-config.in
%__subst 's|@libdir@|%_libdir|g' %name-config.in
%__subst 's|@includedir@|%_includedir|g' %name-config.in

%build
%configure %{subst_enable static}

%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*so.*

%files devel
%_bindir/*
%_includedir/*
%_libdir/*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Mar 11 2004 Dmitry V. Levin <ldv@altlinux.org> 0.3.13-alt2
- Do not build static library by default.

* Wed Mar 10 2004 Stanislav Ievlev <inger@altlinux.org> 0.3.13-alt1
- 0.3.13 for the syslog-ng-1.6.x

* Wed Dec 24 2003 Stanislav Ievlev <inger@altlinux.org> 0.2.23-alt3
- rebuild without .la files

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.23-alt2
- move utilites into devel subpackage
- clear libol-config from buildroot.

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.2.23-alt1
- 0.2.23

* Tue Jul 24 2001 Stanislav Ievlev <inger@altlinux.ru> 0.2.20-alt1
- Initial release for ALT Linux.

* Wed Jan 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.20-1mdk
- used srpm from Daniel Serodio <dserodio@email.com>
	- First spec file for Mandrake distribution, based on skelet.spec
  	from MandrakeSoft
- make compliant to library policy
